module companydirectory;

import employee, developer, manager;
import std.stdio : writeln;
import std.algorithm : remove;

class CompanyDirectory : Employee
{
    private Employee[] employee;

    override void showEmployDetails()
    {
        foreach (Employee val; employee)
        {
            val.showEmployDetails();
        }
    }

    void addEmployee(Employee employee)
    {
        this.employee ~= employee;
    }
}
